/**
 * 
 */
package org.richfaces.realworld.listener;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.util.Properties;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

import org.jboss.seam.Component;
import org.jboss.seam.ScopeType;
import org.jboss.seam.contexts.Contexts;
import org.richfaces.realworld.manager.FileManager;

/**
 * @author Andrey Markavtsov
 *
 */
public class CopyImagesStuff implements ServletContextListener {
	
	static final String IMAGE_SRC = "/WEB-INF/Upload";
	
	
	/* (non-Javadoc)
	 * @see javax.servlet.ServletContextListener#contextDestroyed(javax.servlet.ServletContextEvent)
	 */
	public void contextDestroyed(ServletContextEvent sce) {
		
	}

	/* (non-Javadoc)
	 * @see javax.servlet.ServletContextListener#contextInitialized(javax.servlet.ServletContextEvent)
	 */
	public void contextInitialized(ServletContextEvent sce) {
		try {
			String uploadFolderPath = sce.getServletContext().getRealPath(IMAGE_SRC);
			if (uploadFolderPath != null) {
				String uploadRootPath = detectUploadRoot(sce.getServletContext().getInitParameter("uploadRoot"));
				CopyFile.copyDirectory(new File(uploadFolderPath), new File(uploadRootPath));
				Properties prop = new Properties();
				prop.put("uploadRoot", uploadRootPath);
				prop.store(new FileOutputStream("realworld.properties"), null);
			}
		}catch (Exception e) {
			System.out.println(e);
		}
	}

	private String detectUploadRoot(String initParameter) {
		if(initParameter != null){
			if(fileExist(initParameter)){
				return initParameter;
			}else{
				return getTempPath();
			}
		}else{
			return getTempPath();
		}
		
	}
	
	private String getTempPath() {
		return System.getProperty("java.io.tmpdir") + "realworld" + File.separator;
	}

	private boolean fileExist(String initParameter) {
		File temp = new File(initParameter);
		if(temp.exists()){
			return true;
		}else{
			return temp.mkdirs();
		}
	}
}
