package org.richfaces.realworld.manager;

import org.jboss.seam.ScopeType;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Observer;
import org.jboss.seam.annotations.Scope;
import org.richfaces.realworld.domain.Album;
import org.richfaces.realworld.domain.Image;
import org.richfaces.realworld.domain.MetaTag;
import org.richfaces.realworld.domain.Shelf;
import org.richfaces.realworld.domain.User;
import org.richfaces.realworld.service.Constants;

@Name("model")
@Scope(ScopeType.CONVERSATION)
public class Model {

private Integer selectedImageIndex = 1;
	
	private Image selectedImage;

	private Album selectedAlbum;
	
	private User selectedUser;
	
	private Shelf selectedShelf;
	
	private MetaTag selectedTag;
	
	private NavigationEnum mainArea;
	
	public void resetModel(NavigationEnum mainArea, User selectedUser, Shelf selectedShelf, Album selectedAlbum, Image selectedImage,  MetaTag selectedTag){
		this.setMainArea(mainArea);
		this.setSelectedAlbum(selectedAlbum);
		this.setSelectedImage(selectedImage);
		this.setSelectedShelf(selectedShelf);
		this.setSelectedTag(selectedTag);
		this.setSelectedUser(selectedUser);
	}
	
	@Observer(Constants.UPDATE_MAIN_AREA_EVENT)
	public void setMainArea(NavigationEnum mainArea) {
		this.mainArea = mainArea;
	}
	
	public Integer getSelectedImageIndex() {
		return selectedImageIndex;
	}

	public NavigationEnum getMainArea() {
		return mainArea;
	}
	
	public void setSelectedImageIndex(Integer selectedImageIndex) {
		this.selectedImageIndex = selectedImageIndex;
	}

	public Image getSelectedImage() {
		return selectedImage;
	}

	public void setSelectedImage(Image selectedImage) {
		this.selectedImage = selectedImage;
	}

	public Album getSelectedAlbum() {
		return selectedAlbum;
	}

	public void setSelectedAlbum(Album selectedAlbum) {
		this.selectedAlbum = selectedAlbum;
	}
	
	public User getSelectedUser() {
		return selectedUser;
	}

	public void setSelectedUser(User selectedUser) {
		this.selectedUser = selectedUser;
	}

	public Shelf getSelectedShelf() {
		return selectedShelf;
	}

	public void setSelectedShelf(Shelf selectedShelf) {
		this.selectedShelf = selectedShelf;
	}
	
	public MetaTag getSelectedTag() {
		return selectedTag;
	}
	
	@Observer("updateSelectedTag")
	public void setSelectedTag(MetaTag selectedTag) {
		this.selectedTag = selectedTag;
	}
}
