package org.richfaces.realworld.util;

import javax.faces.context.FacesContext;

import org.jboss.seam.ScopeType;
import org.jboss.seam.annotations.AutoCreate;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Scope;

@Name("flushStrategy")
@Scope(ScopeType.APPLICATION)
@AutoCreate
public class FlushStrategy {

	private String strategy;
	
	public String getStrategy() {
		if(strategy == null){
			FacesContext fc = FacesContext.getCurrentInstance();
			if (fc != null) {
				String initParameter = fc.getExternalContext().getInitParameter(
						"storeStrategy");
				if(initParameter.equals("conversation") || initParameter.equals("database")){
					strategy = initParameter;
				}else{
					throw new RuntimeException("Wrong storeStrategy context parameter. It should be 'conversation' or 'database'");
				}
				
			}
		}
		return strategy;
	}

	public void setStrategy(String strategy) {
		this.strategy = strategy;
	}
	
	public boolean isDatabaseStoreStrategy(){
		return getStrategy().equals("database");
	}
}
